VERSION:  3.00B, 3.01A, 3.02A
     OS:  PC-DOS, MS-DOS, CP/M-86
   DATE:  April 18, 1985, September 25, 1987
  TITLE:  Skip "Include Error Messages?" Prompt

-------------------------------------------------------------------

This little patch bypasses the request,  "Include error messages?",
and either automatically loads the error message file, or skips it.


ERROR MESSAGES NOTE:   The new version of TINST lets you  designate
the  path  to  the  error messages in case they  are  stored  in  a
directory  other  than the one active at the time Turbo is  loaded.


-------------------------------------------------------------------

A  total  of  eighteen  (18!)  different  patches are listed below.
There is one patch for  each real number implementation  (software,
8087, and BCD), for each operating system  (PC-DOS, generic MS-DOS,
and CP/M-86),  for Turbo Pascal versions 3.00x and 3.01x.   Be sure
that the patch you use matches the file that you are patching.  For
instance, if you have the normal and BCD versions 3.00B for PC-DOS,
you would use  the patches labled  'TURBO.COM 3.00x (PC-DOS)',  and
'TURBOBCD.COM 3.00x (PC-DOS)'.

-------------------------------------------------------------------

    Note: Always make a backup copy of any software before patching
          it.   Label  disks that contain patched software as  this
          could  concievably  have  a bearing  on  future  trouble-
          shooting.

-------------------------------------------------------------------

For some  general  beginners' tips on using  DEBUG,  see  the  file
DEBUG.LTR in Data Library DL 0.

-------------------------------------------------------------------

Note for  CP/M-86  patches:  you must not give the file name on the
DDT86 command line.   Rather,  start DDT86 with no file name,  then
use the  R  command to read in the .CMD file.   This prevents DDT86
from interpreting the file as a  .CMD file,  which would change the
patch locations.

  A>DDT86
  -Rfilename.CMD
  -(do the patches)
  -Wfilename.CMD
  -^C

-------------------------------------------------------------------

                               TURBO.COM 3.00x (PC-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBO.COM      2E98          E8            24            0C
                 2E99          C7            00            FF
                 2E9A          DB            EB            EB
                 2E9B          0D            1E            1E


                               TURBO-87.COM 3.00x (PC-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBO-87.COM   2961          E8            24            0C
                 2962          FE            00            FF
                 2963          E0            EB            EB
                 2964          0D            1E            1E


                               TURBOBCD.COM 3.00x (PC-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBOBCD.COM   2DB9          E8            24            0C
                 2DBA          A6            00            FF
                 2DBB          DC            EB            EB
                 2DBC          0D            1E            1E


  -----------------------------------------------------------------


                               TURBO.COM 3.00x (generic MS-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBO.COM      2B97          E8            24            0C
                 2B98          C0            00            FF
                 2B99          DB            EB            EB
                 2B9A          0D            1E            1E


                               TURBO-87.COM 3.00x (generic MS-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBO-87.COM   2660          E8            24            0C
                 2661          F7            00            FF
                 2662          E0            EB            EB
                 2663          0D            1E            1E


                               TURBOBCD.COM 3.00x (generic MS-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBOBCD.COM   2AB8          E8            24            0C
                 2AB9          9F            00            FF
                 2ABA          DC            EB            EB
                 2ABB          0D            1E            1E


  -----------------------------------------------------------------


                               TURBO.CMD 3.00x (CP/M-86)

  File           Address   Old values    New for NO    New for YES
  TURBO.CMD      2AEB          E8            24            0C
                 2AEC          31            00            FF
                 2AED          DC            EB            EB
                 2AEE          0D            1E            1E


                               TURBO-87.CMD 3.00x (CP/M-86)

  File           Address   Old values    New for NO    New for YES
  TURBO-87.CMD   2581          E8            24            0C
                 2582          9B            00            FF
                 2683          E1            EB            EB
                 2684          0D            1E            1E


                               TURBOBCD.CMD 3.00x (CP/M-86)

  File           Address   Old values    New for NO    New for YES
  TURBOBCD.CMD   29FE          E8            24            0C
                 29FF          1E            00            FF
                 2A00          DD            EB            EB
                 2A01          0D            1E            1E


-------------------------------------------------------------------


                               TURBO.COM 3.01x (PC-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBO.COM      2F5E          E8            24            0C
                 2F5F          20            00            FF
                 2F60          DB            EB            EB
                 2F61          0D            1E            1E


                               TURBO-87.COM 3.01x (PC-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBO-87.COM   2A27          E8            24            0C
                 2A28          57            00            FF
                 2A29          E0            EB            EB
                 2A2A          0D            1E            1E


                               TURBOBCD.COM 3.01x (PC-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBOBCD.COM   2E7F          E8            24            0C
                 2E80          FF            00            FF
                 2E81          DB            EB            EB
                 2E82          0D            1E            1E


  -----------------------------------------------------------------


                               TURBO.COM 3.01x (generic MS-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBO.COM      2C40          E8            24            0C
                 2C41          19            00            FF
                 2C42          DB            EB            EB
                 2C43          0D            1E            1E


                               TURBO-87.COM 3.01x (generic MS-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBO-87.COM   2709          E8            24            0C
                 270A          50            00            FF
                 270B          E0            EB            EB
                 270C          0D            1E            1E


                               TURBOBCD.COM 3.01x (generic MS-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBOBCD.COM   2B61          E8            24            0C
                 2B62          F8            00            FF
                 2B63          DB            EB            EB
                 2B64          0D            1E            1E


  -----------------------------------------------------------------

                               TURBO.CMD 3.01x (CP/M-86)

  File           Address   Old values    New for NO    New for YES
  TURBO.CMD      2AEB          E8            24            0C
                 2AEC          34            00            FF
                 2AED          DC            EB            EB
                 2AEE          0D            1E            1E


                               TURBO-87.CMD 3.01x (CP/M-86)

  File           Address   Old values    New for NO    New for YES
  TURBO-87.CMD   2601          E8            24            0C
                 2602          1E            00            FF
                 2603          E1            EB            EB
                 2604          0D            1E            1E


                               TURBOBCD.CMD 3.01x (CP/M-86)

  File           Address   Old values    New for NO    New for YES
  TURBOBCD.CMD   29FE          E8            24            0C
                 29FF          21            00            FF
                 2A00          DD            EB            EB
                 2A01          0D            1E            1E


-------------------------------------------------------------------


                               TURBO.COM 3.02A (PC-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBO.COM      2F34          E8            24            0C
                 2F35          0D            00            FF
                 2F36          DB            EB            EB
                 2F37          0D            1E            1E


                               TURBO-87.COM 3.02A (PC-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBO-87.COM   29FA          E8            24            0C
                 29FB          47            00            FF
                 29FC          E0            EB            EB
                 29FD          0D            1E            1E


                               TURBOBCD.COM 3.02A (PC-DOS)

  File           Address   Old values    New for NO    New for YES
  TURBOBCD.COM   2E56          E8            24            0C
                 2E57          EB            00            FF
                 2E58          DB            EB            EB
                 2E59          0D            1E            1E

